> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# List statutories

> Retrieve all existing statutories. A statutory is the object that contains the application settings.

There can be several statutories whenever settings differ between establishments.




## OpenAPI

````yaml /openapi-specs/Pagga-MealVoucher.yaml get /mealvoucher/api/statutories
openapi: 3.1.0
info:
  title: Lucca-MealVoucher
  version: '1.0'
  description: >-
    Welcome on the documentation for the Lucca MealVoucher API.


    Lucca MealVouchers is an online service that calculates the number of meal
    vouchers to be distributed to employees each month.
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: Statutory
    description: The object containing all settings.
  - name: Computation
    description: >-
      The result of calculating the number of meal-vouchers to give each
      employee over a month.
  - name: Distributions
    description: The representation of a distribution of meal-vouchers to employees.
paths:
  /mealvoucher/api/statutories:
    parameters:
      - $ref: '#/components/parameters/Authorization'
    get:
      tags:
        - Statutory
      summary: List statutories
      description: >
        Retrieve all existing statutories. A statutory is the object that
        contains the application settings.


        There can be several statutories whenever settings differ between
        establishments.
      operationId: list-statutories
      parameters:
        - name: fields
          description: fields is used to select specific properties
          in: query
          style: form
          explode: false
          schema:
            type: string
            enum:
              - id
              - startsOn
              - endsOn
              - status
              - statutoryId
              - activecomputation
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/FieldsRoot'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                examples:
                  - items:
                      - id: 8310b1ad-7145-4dfa-a980-89418f43957f
                        name: Lucca Brest
                      - id: 9811c404-be70-4f5a-94cc-ff57e05f34f9
                        name: Lucca Nantes
                    count: 2
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/Statutory'
                  count:
                    type: integer
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
    Limit:
      name: limit
      in: query
      required: false
      schema:
        type: integer
        format: int32
        default: 10
        maximum: 10
        minimum: 1
      description: Page size
    FieldsRoot:
      name: fields.root
      in: query
      required: false
      description: Return total items count (across all pages).
      schema:
        type: string
        enum:
          - prev
          - next
          - count
  schemas:
    Statutory:
      type: object
      examples:
        - id: 8310b1ad-7145-4dfa-a980-89418f43957f
          name: Lucca Brest
      properties:
        id:
          type: string
          description: Unique Identifier of the statutory
          format: uuid
        name:
          type: string
          minLength: 1
          description: Name of the statutory
      title: The Statutory ressource

````